/*
 * Code formatter project
 * CS 4481
 */
package ast;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author edwajohn
 */
public class Program {

  private ArrayList<Declaration> declarations;

  public Program(List<Declaration> declarations) {
    this.declarations = new ArrayList<>(declarations);
  }

  @Override
  public String toString() {
    StringBuilder builder = new StringBuilder();
    for (Declaration declaration : declarations) {
      declaration.toCminus(builder, "");
    }
    return builder.toString();
  }

}
