/*
 * Code formatter project
 * CS 4481
 */
package formatter;

import java.io.IOException;
import java.util.Properties;
import java.util.logging.Handler;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.antlr.v4.runtime.Parser;

/**
 *
 * @author edwajohn
 */
public class Formatter {

  private static Logger LOGGER;

  public Formatter() throws IOException {
  }

  public void format(String filename) throws IOException {
    LOGGER.info("Parsing " + filename + "\n");
    // TODO build AST

    LOGGER.info("");
    LOGGER.info("Formatted code:");
    LOGGER.info("");
    // TODO output formatted code
  }

  /**
   * @param args the command line arguments
   * @throws java.io.IOException
   */
  public static void main(String[] args) throws IOException {
    // Logging setup
    Level level = Level.INFO;
    if (args[args.length - 1].equals("-v")) {
      level = Level.ALL;
    }
    Properties props = System.getProperties();
    props.setProperty("java.util.logging.SimpleFormatter.format", "%5$s%6$s%n");
    Logger.getLogger("").setLevel(level);
    for (Handler handler : Logger.getLogger("").getHandlers()) {
      handler.setLevel(level);
    }
    LOGGER = Logger.getLogger(Parser.class.getName());

    Formatter formatter = new Formatter();
    formatter.format(args[0]);
  }

}
